<?php

namespace App\Filament\Resources\NoResource\Widgets;

use App\Models\Enquiry;
use App\Models\Property;
use App\Models\PropertyBooking;
use Filament\Widgets\StatsOverviewWidget as BaseWidget;
use Filament\Widgets\StatsOverviewWidget\Stat;

class StatsOverview extends BaseWidget
{
    protected function getStats(): array
    {
        return [
            Stat::make('Properties', Property::where('status',1)->count()),
            Stat::make('Bookings', PropertyBooking::count()),
            Stat::make('Contact Form Enquiries', Enquiry::count()),
        ];
    }
}
